/*
 * @author Eric Huang
 *  Created by Ericczhuang on 7/19/19 4:42 PM
 *  Copyright (c) 2019 . All rights reserved.
 *  Last modified 7/19/19 4:26 PM
 */

package com.tencent.tcic;

import android.app.Application;

import com.tencent.bugly.Bugly;

public class TCICApplication extends Application {

    private static final String TAG = "TCICApplication";

    @Override
    public void onCreate() {
        super.onCreate();
        // 主进程初始化
        if (TCICInitProvider.isMainProcess(this)) {
            initBugly();
            // 需要参考步骤六发送邮件https://cloud.tencent.com/document/product/1639/79898，填入授权的licenseKey，config.gradle 中 applicationId 改写为申请的Package Name
            TCICManager.getInstance().initX5Core("");
        }
    }

    private void initBugly() {
        Bugly.init(getApplicationContext(), "dd32c6e2eb", false);
//        Beta.checkAppUpgrade(false, false);
    }

    @Override
    public void onTerminate() {
        super.onTerminate();
    }

}
